<bugID>1342051<Summary>Grid highlighter can no longer be activated after Inspector close and page refresh</Summary><Description>[Affected versions]:
- 52b8, 54.0a1 (2017-02-23)

[Affected platforms]:
- Windows 7 x86, macOS 10.11, Ubuntu 14.04 x64

[Steps to reproduce]:
1. Start Firefox
2. Open http://labs.jensimmons.com/examples/grid-content-1.html
3. Open inspector, click on &lt;main&gt; and activate the grid tool
4. Close the inspector
5. Reload page
6. Open inspector, click on &lt;main&gt; and try to activate the grid tool again

[Expected result]:
- Grid highlighter is properly displayed.

[Actual result]:
- The grid does not work. Browser console log:
&lt;unavailable&gt;  protocol.js:940
Empty histogram keys are not allowed. (unknown)
A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise

Date: Thu Feb 23 2017 15:56:00 GMT+0200 (GTB Standard Time)
Full Message: Protocol error (unknownError): can't access dead object
Full Stack: JS frame :: resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js :: register :: line 199
JS frame :: resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js :: completePromise :: line 711
JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/task.js :: _handleException :: line 442
JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/task.js :: _run :: line 323
JS frame :: resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js :: process :: line 925
JS frame :: resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js :: walkerLoop :: line 806

[Regression range]:
- not a regression, repro on Nightly 2016-11-20</Description></bugID>